This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1273712 - Review Request: google-noto-cjk-fonts - Google Noto Sans CJK Fonts
Review Request: google-noto-cjk-fonts - Google Noto Sans CJK Fonts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 01:49 EDT by Peng Wu
Modified: 2015-11-24 17:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-22 19:22:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Peng Wu 2015-10-21 01:49:29 EDT
Spec URL: https://pwu.fedorapeople.org/fonts/google-noto-cjk-fonts/google-noto-cjk-fonts.spec
SRPM URL: https://pwu.fedorapeople.org/fonts/google-noto-cjk-fonts/google-noto-cjk-fonts-1.004-1.fc22.src.rpm
Description: Google Noto Sans CJK Fonts
Fedora Account System Username:pwu
Comment 1 Parag AN(पराग) 2015-10-24 11:05:09 EDT
Issues:
1) if you run rpmlint on source rpm only then you will see
google-noto-cjk-fonts.src: E: description-line-too-long C Noto Sans CJK is a sans serif typeface designed as an intermediate style between the modern and traditional. It is intended to be a multi-purpose digital font for user interface designs, digital content, reading on laptops, mobile devices, and electronic books. Noto Sans CJK comprehensively covers Simplified Chinese, Traditional Chinese, Japanese, and Korean in a unified font family. It supports regional variants of ideographic characters for each of the four languages. In addition, it supports Japanese kana, vertical forms, and variant characters (itaiji); it supports Korean hangeul — both contemporary and archaic.
google-noto-cjk-fonts.src: W: no-version-in-last-changelog
google-noto-cjk-fonts.src:81: E: use-of-RPM_SOURCE_DIR

Fix these 3 issues. You need to split common_desc line to 80 char limit multiple lines. You missed the version in changelog then instead of sourcedir macro try builddir macro

2) removal of buildroot in %install, then %clean section are optional and can be removed.

3) I don't think it makes sense to create -common subpackage just for LICENSE file. Instead drop it and add %doc LICENSE to every binary rpm.

4) We need to follow git source guidelines. See https://fedoraproject.org/wiki/Packaging:SourceURL#Git_Hosting_Services

Add in spec at top 
%global commit0 40-CHARACTER-HASH-VALUE
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

then Source0:  https://github.com/OWNER/%{name}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz

and in %prep
%setup -qn %{name}-%{commit0}
Comment 4 Parag AN(पराग) 2015-11-10 01:58:48 EST
Looks good. Only last thing is to add per subpackage
%doc NEWS HISTORY README.formats README.third_party

APPROVED.
Comment 5 Gwyn Ciesla 2015-11-10 09:54:56 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/google-noto-cjk-fonts
Comment 6 Fedora Update System 2015-11-11 04:03:15 EST
google-noto-cjk-fonts-1.004-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-af6af4d9e1
Comment 7 Fedora Update System 2015-11-11 21:24:30 EST
google-noto-cjk-fonts-1.004-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update google-noto-cjk-fonts'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7ce4b37c4f
Comment 8 Fedora Update System 2015-11-11 22:58:12 EST
google-noto-cjk-fonts-1.004-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update google-noto-cjk-fonts'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-af6af4d9e1
Comment 9 Fedora Update System 2015-11-20 01:23:35 EST
google-noto-cjk-fonts-1.004-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-408257aebc
Comment 10 Fedora Update System 2015-11-20 05:21:39 EST
google-noto-cjk-fonts-1.004-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update google-noto-cjk-fonts'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-408257aebc
Comment 11 Fedora Update System 2015-11-20 06:24:08 EST
google-noto-cjk-fonts-1.004-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update google-noto-cjk-fonts'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-0940977659
Comment 12 Fedora Update System 2015-11-22 19:22:39 EST
google-noto-cjk-fonts-1.004-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-11-24 17:23:43 EST
google-noto-cjk-fonts-1.004-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.